function [states] = MarkovChain(statesSpace,initialState,transitionMatrix,timeSteps)

% ============================================================================
% DESCRIPTION
%
% states = MarkovChain(stateSpace,initialState,transitionMatrix,timeSteps);
%
% Generates a Markov Chain Monte Carlo with the given input.
%
% ----------------------------------------------------------------------------
% PARAMETERS
%
% statesSpace                 a row vector (of size J) containing the states space of the system
% initialState                the initial state of the system. The initial
%                             state should be one of the values in the statesSpace vector.
% transitionMatrix            the transition matrix of the system. 
%                             the matrix is a squared matrix with dimension J x J equal to 
%                             the number of possible states, i.e. the length of statesSpace
% timeSteps                   the total number of time steps to run the
%                             Markov Chain.
% 
% ----------------------------------------------------------------------------
% RETURN VALUES
%
% states                      a row vector (of size timeSteps) with the state of the 
%                             system at every step.
%
% ============================================================================


%
% Implement your own solution here.
%