%% Test MarkovChain.m function

%% clean the workspace
clear all; % remove all variables, functions, and MEX-files from memory, leaving the workspace empty
close all; % delete all figures whose handles are not hidden.
clc; % clear command window

%% Program
% states space
stateSpace = ...
    {'A'  % perfect condition
     'B'  % partially damaged
     'C'  % seriously damaged
     'D'};  % completely useless

        
% transition matrix
        %A      B       C       D
transitionMatrix = ...
     [  0.95    0.04	0.01	0.00;   % A
        0.00    0.90    0.05    0.05;   % B 
        0.00    0.00    0.80    0.20;   % C
        1.00    0.00    0.00    0.00];  % D

% time steps to run the chain
timeSteps = 1000;
   
% run the Markov chain
states = MarkovChain(stateSpace,stateSpace(1),transitionMatrix,timeSteps);

% Estimate the stationary probabilities.
%
% Implement your own solution here.
%

% Quantify the error of the estimates (not cover in the lecture)
%
% Implement your own solution here.
%

% plot the results
plotMCMC(stateSpace,states)
