function [ samples ] = GibbsSamplingBN(mu,sigma, rho, x0, y0, iterations)

% ============================================================================
% DESCRIPTION
%
% usage: function [ samples ] = GibbsSamplingBN(mu,sigma, rho, x0, y0, iterations)

%
% Performs Gibbs sampling for a bivariate normal distribution with
% parameters
% N([mu1 mu2],[sigma1^2 sigma2^2],rho)
%
% ----------------------------------------------------------------------------
% PARAMETERS
%
% mu                          (vector 1x2) means mu_x,mu_y
% sigma                       (vector 1x2) standard deviations sigma_x,sigma_y                             distribution
% rho                         correlation coefficient
% x0                          initial x-coordinate
% y0                          initial y-coordinate
% iterations                  number of iterations
%
% ----------------------------------------------------------------------------
% RETURN VALUES
%
% samples                    (matrix iteration x 2) x and y samples 
%
% ============================================================================


%
% Implement your own solution here.
%
